"""
AzCam is a software framework for the acquisition and analysis of image data
from scientific imaging systems as well as the control of instrumentation.
"""

import typing
from importlib import metadata

__version__ = metadata.version(__package__)
__version_info__ = tuple(int(i) for i in __version__.split(".") if i.isdigit())

# import here so future importing is not required
from azcam import fits
from azcam import utils

from azcam.logger import AzCamLogger

from azcam.database import AzcamDatabase

# logger object
logger: AzCamLogger = AzCamLogger()

# initially azcam.log() is print() but will usually be overwritten
log: typing.Callable = print

# initial database but will ususally be overwritten by server or console
db: AzcamDatabase = AzcamDatabase()

# cleanup namespace
del metadata
del typing
del AzCamLogger
del AzcamDatabase
del database
del header
